#
# spec file for package python-moretools
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without  test
Name:           python-moretools
Version:        0.1.8
Release:        3.1
Summary:        MORE Overly Reusable Essentials for Python
License:        LGPL-3.0-only
Group:          Development/Languages/Python
Url:            https://github.com/zimmermanncode/moretools
Source:         https://files.pythonhosted.org/packages/source/m/moretools/moretools-%{version}.tar.gz
BuildRequires:  %{python_module setuptools_scm >= 1.15}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module zetup >= 0.2.31}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module decorator >= 4.0}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module six >= 1.10}
%endif
Requires:       python-decorator >= 4.0
Requires:       python-six >= 1.10
BuildArch:      noarch

%python_subpackages

%description
Many more basic tools for python extending
itertools, functools, operator and collections

%prep
%setup -q -n moretools-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
py.test-%{$python_bin_suffix} test
}
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md
%license COPYING COPYING.LESSER
%{python_sitelib}/moretools/
%{python_sitelib}/moretools-%{version}-py*.egg-info

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Wed Oct 18 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to version 0.1.8
  * No changelog
* Fri May 30 2014 toddrme2178@gmail.com
- initial version
